%global gitname	r8168

Name:           %{gitname}
Version:        8.050.03
Release:        372.26.1%{?dist}
Summary:        Linux device driver for Realtek Ethernet contolollers

Vendor:         realtek
License:        GPLv2+
URL:             https://github.com/mtorromeo/r8168
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-blacklist.conf
Source2:	%{name}.files
Source3:	%{name}.license
Patch0:		%{name}-c83.patch

BuildRequires:  %kernel_module_package_buildreqs findutils
BuildRequires:  kernel-devel
Requires:       kmod
Requires(postun): dracut

%description
r8168 is the Linux device driver released for Realtek Gigabit Ethernet contorollers with PCI-Express interface.

%global debug_package %{nil}

%kernel_module_package -f %{SOURCE2}

%define kmod_dir /lib/modules/%{kernel_version}

%prep
%autosetup -p1
%{__cp} -p %{SOURCE3} COPYING


%build
%make_build modules


%install
env INSTALL_MOD_PATH=%{buildroot} %make_install
%{__mkdir_p} %{buildroot}%{kmod_dir}/extra
%{__mv} %{buildroot}%{kmod_dir}/kernel/drivers/net/ethernet/realtek \
	%{buildroot}%{kmod_dir}/extra/%{name}
%{__rm} -r %{buildroot}%{kmod_dir}/kernel
%{__rm} %{buildroot}%{kmod_dir}/modules.*
%{__mkdir_p} %{buildroot}%{_modprobedir}
%{__install} -c -m 0644 %{SOURCE1} %{buildroot}%{_modprobedir}


%changelog
* Tue Sep 27 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 8.050.03-372.26.1
- build for kernel- 4.18.0-372.26.1.el8_6.x86_64.

* Thu Jun 16 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 8.050.03-1
- build for Rocky Linux 8.6 (kernel-4.18.0-372.9.1.el8.x86_64).

* Fri Apr 15 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 8.049.02-5
- build for kernel-4.18.0-348.20.1.el8_5.x86_64.

* Wed Feb 23 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 8.049.02-4
- build for kernel-4.18.0-348.12.2.el8_5.x86_64.
- add license file.

* Fri Nov 19 2021 Takeo Ugai <Takeo.Ugai@sony.com> - 8.049.02-3
- for kernel-4.18.0-305.25.1.el8_4.x86_64 (CentOS 8.4.2105).

* Thu Oct 28 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 8.049.02-2
- update 8.049.02-2.

* Fri May 28 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 8.049.02-1
- update 8.049.02-1.

* Fri May 28 2021 Takeo Ugai <Takeo.Ugai@sony.com> - 8.048.00-2
- Add patch for CentOS 8.3.2011.

* Fri Mar 12 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 8.048.00
- Release Version: 8.048.00

